import Camera, { UvcControl } from "uvc-control";
import CameraControlHelperClass from "./camera-control-helper";
export default class CameraControlHelperFactory {
    private readonly UVCControl;
    private readonly CameraControlHelper;
    constructor(UVCControl: Readonly<UvcControl>, CameraControlHelper: typeof CameraControlHelperClass);
    get(camera: Readonly<Camera>): Promise<CameraControlHelperClass>;
}
