import Camera from "uvc-control";
import CameraControlHelperFactory from "./camera-control-helper-factory";
import CameraHelperClass from "./camera-helper";
import Output from "./output";
export default class CameraHelperFactory {
    private readonly output;
    private readonly cameraControlHelperFactory;
    private readonly CameraHelper;
    constructor(output: Readonly<Output>, cameraControlHelperFactory: Readonly<CameraControlHelperFactory>, CameraHelper: typeof CameraHelperClass);
    get(camera: Readonly<Camera>): Promise<CameraHelperClass>;
}
